﻿using Infragistics.Controls.Editors.Primitives;
using Infragistics.Documents.RichText;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication5
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        string targetUrl = "http://www.infragistics.com/";
        public MainWindow()
        {
            InitializeComponent();

            string error = null;
            var linkNode = this.editor1.Document.InsertHyperlink(0,
                targetUrl, out error, "Infragistics",
                "Link to the Infragistics website.");
        }

        private void editor1_MouseMove(object sender, MouseEventArgs e)
        {
            var adornmentLayer = e.OriginalSource as AdornmentLayer;

            if (adornmentLayer != null)
            {
                Mouse.OverrideCursor = Cursors.Hand;
            }
            else
            {
                Mouse.OverrideCursor = Cursors.Arrow;
            }
        }


        private void editor1_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            var adornmentLayer = e.OriginalSource as AdornmentLayer;
            if(adornmentLayer != null)
            {
                Process.Start(targetUrl);

                e.Handled = true;
            }
        }
    }
}
